Next: fabs, Previous: exp2, Up: Math [Contents][Index]

### 1.18 `expm1`, `expm1f`—exponential minus 1

Synopsis

    #include <math.h>
    double expm1(double x);
    float expm1f(float x);

Description
`expm1` and `expm1f` calculate the exponential of x and subtract 1, that is, e raised to the power x minus 1 (where e is the base of the natural system of logarithms, approximately 2.71828). The result is accurate even for small values of x, where using `exp(x)-1` would lose many significant digits.

Returns
e raised to the power x, minus 1.

Portability
Neither `expm1` nor `expm1f` is required by ANSI C or by the System V Interface Definition (Issue 2).